import { Command, flags } from '@oclif/command';
declare class ReadmeUtils extends Command {
    static description: string;
    static flags: {
        build: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        init: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        name: flags.IOptionFlag<string | undefined>;
    };
    run(): Promise<void>;
    private initRun;
    /**
     * Reads the project's settings.
     */
    private readSettings;
    /**
     * Creates pandoc parameters from the specified settings.
     * @param settings Build settings.
     */
    private buildParameters;
    /**
     * Creates a pandoc build command with the specified parameters.
     * @param parameters pandoc parameters
     */
    private buildCommand;
    /**
     * Reads user settings, constructs the corresponding pandoc command and builds the project.
     */
    private buildRun;
}
export = ReadmeUtils;
